> For the complete documentation index, see [llms.txt](https://docs.monolithforensics.com/monolith/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monolithforensics.com/monolith/monolith-api/inquiries-api/get-inquiries.md).

# Get Inquiries

## Get Inquiries

<mark style="color:blue;">`GET`</mark> `/api/v1/inquiries/:uuid?`

Retrieve a list of inquiries from your Monolith database.

#### Path Parameters

| Name | Type   | Description                                      |
| ---- | ------ | ------------------------------------------------ |
| uuid | String | Unique value that identifies a specific inquiry. |

#### Query Parameters

| Name        | Type    | Description                                                                                                                                                                                                     |
| ----------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| uuid        | String  | Unique value that identifies a specific inquiry. This value will take precedence over the UUID URL param if passed.                                                                                             |
| inquiry\_id | String  | This is a unique integer value that identifies a specific inquiry. \nThis serves the same purpose as the uuid value.                                                                                            |
| status      | String  | This is the status of an inquiry.                                                                                                                                                                               |
| request\_id | Integer | <p>This is the request\_id of the inquiry.<br>This value is usually associated with a Relay request, but can also be associated with external request systems if utilized via API when creating an inquiry.</p> |

#### Headers

| Name                                        | Type   | Description      |
| ------------------------------------------- | ------ | ---------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Monolith API Key |

### Get Inquiries Examples

Using uuid as URL path param:

{% tabs %}
{% tab title="Python" %}
{% code overflow="wrap" lineNumbers="true" fullWidth="false" %}

```python
# Using uuid as URL path param

import requests

# set your Monolith API key into a variable
api_key = "qucuqwqg5q3rve28ehfh" # this is a fake API key

# Set the api key in the header of the request
headers = {
	"x-api-key": api_key
}

uuid = "asd8hasdgadc67w5we7wd"

# Use the appropriate API endpoint for your region
api_url = f"https://monolith-app.monolithforensics.com/api/v1/inquiries/" + uuid

# Execute the GET request
response = requests.get(api_url, headers=headers)

# print the JSON response to console
print(response.json())
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```
// TODO
```

{% endtab %}
{% endtabs %}

Using Query Params:

{% tabs %}
{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
import requests

# set your Monolith API key into a variable
api_key = "qucuqwqg5q3rve28ehfh" # this is a fake API key

# Set the api key in the header of the request
headers = {
	"x-api-key": api_key
}

uuid = "asd8hasdgadc67w5we7wd"

# Use the appropriate API endpoint for your region
api_url = f"https://monolith-app.monolithforensics.com/api/v1/inquiries?uuid=" + uuid

# Execute the GET request
response = requests.get(api_url, headers=headers)

# print the JSON response to console
print(response.json())
```

{% endcode %}
{% endtab %}

{% tab title="NodeJS" %}

```
// TODO
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/inquiries-api/get-inquiries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
